# Uses of Class
org.eclipse.mat.parser.internal.oql.compiler.EvaluationContext

Packages that use EvaluationContext
Package
Description
org.eclipse.mat.parser.internal.oql
Object Query Language (OQL) (not API).
org.eclipse.mat.parser.internal.oql.compiler
Object Query Language (OQL) compiler (not API).

## Uses of EvaluationContext in org.eclipse.mat.parser.internal.oql

Constructors in org.eclipse.mat.parser.internal.oql with parameters of type EvaluationContext
Modifier
Constructor
Description
``
`OQLQueryImpl(EvaluationContext parent, Query query)`

## Uses of EvaluationContext in org.eclipse.mat.parser.internal.oql.compiler

Methods in org.eclipse.mat.parser.internal.oql.compiler with parameters of type EvaluationContext
Modifier and Type
Method
Description
`abstract Object`
Expression.`compute(EvaluationContext ctx)`
`Object`
QueryExpression.`compute(EvaluationContext ctx)`
`abstract boolean`
Expression.`isContextDependent(EvaluationContext ctx)`
`boolean`
QueryExpression.`isContextDependent(EvaluationContext ctx)`
Constructors in org.eclipse.mat.parser.internal.oql.compiler with parameters of type EvaluationContext
Modifier
Constructor
Description
``
`EvaluationContext(EvaluationContext parent)`